Skip to main content
PUT
/
v1
/
rooms
/
{id}
Update a room
curl --request PUT \
  --url https://dev.flextell.ai/api/v1/rooms/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The room identifier

Body

application/json
name
string

The name.

Maximum string length: 255
status
enum<string>

The status.

Available options:
active,
inactive,
maintenance

Response

success
string
required
data
RoomResource · object
required